Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
Interface SourceSetContainer

All Superinterfaces:
  DomainObjectCollection<SourceSet>, Iterable<SourceSet>, NamedDomainObjectCollection<SourceSet>, NamedDomainObjectContainer<SourceSet>

    public interface SourceSetContainer

extends NamedDomainObjectContainer<SourceSet>, NamedDomainObjectCollection<SourceSet>

A `SourceSetContainer` manages a set of `SourceSet` objects.

Method Summary
`SourceSet` | `add(String name)` Adds a source set with the given name.
`SourceSet` | `add(String name, Closure configureClosure)` Adds a source set with the given name.

Methods inherited from interface org.gradle.api.NamedDomainObjectContainer
`addRule, addRule, getRules`

Methods inherited from interface org.gradle.api.NamedDomainObjectCollection
`findByName, getAsMap, getAt, getByName, getByName, matching, matching, withType`

Methods inherited from interface org.gradle.api.DomainObjectCollection
`allObjects, allObjects, findAll, getAll, whenObjectAdded, whenObjectAdded, whenObjectRemoved`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### add

    SourceSet add(String name)
                  throws InvalidUserDataException

  Adds a source set with the given name.

  Parameters:
    `name` - The name of the new source set.
  Returns:
    The newly added source set.
  Throws:
    `InvalidUserDataException` - when a source set with the given name already exists in this container.

### add

    SourceSet add(String name,
                  Closure configureClosure)
                  throws InvalidUserDataException

  Adds a source set with the given name. The given configuration closure is executed against the source set before it is returned from this method.

  Parameters:
    `name` - The name of the new source set.
    `configureClosure` - The closure to use to configure the source set.
  Returns:
    The newly added source set.
  Throws:
    `InvalidUserDataException` - when a source set with the given name already exists in this container.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD